Bug 39331

Summary: [Android] BoxView Is InputTransparent Even When Set to False
Product: Forms Reporter: Jimmy [MSFT] <jimmy.garrido>
Component: AndroidAssignee: Bugzilla <bugzilla>
Status: VERIFIED FIXED    
Severity: normal CC: bryan.hunter, jas, Rajneeshk, yshteinman
Priority: ---    
Version: 2.1.0   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS   
Tags: AC Is this bug a regression?: ---
Last known good build:
Attachments: repro project

Description Jimmy [MSFT] 2016-03-03 20:13:44 UTC
Created attachment 15240 [details]
repro project

### Overview
A BoxView on Android is InputTransparent so when trying to use it to block the entire screen, input still gets passed to the children elements underneath.


### Steps to Reproduce
1. Run the attached repro project
2. Click the green button
3. Click the button again


### Expected Results
After the BoxView covers the screen, clicking the button should not do anything. The BoxView should receive and handle the press.


### Actual Results
Clicking the button a second time hides the BoxView because the button still receives the tap and fires off the Clicked event even though the BoxView covers it.


### Testing Info
Tested with version 2.1.0.6524 of Forms.


### Environment Info  
=== Xamarin Studio ===

Version 5.10.2 (build 56)
Installation UUID: 94ce5106-6a72-4691-b34e-cd5857b1db66
Runtime:
	Mono 4.2.2 (explicit/996df3c)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 402020030

=== Xamarin.Profiler ===

Version: 0.30.0
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Xamarin.Android ===

Version: 6.0.1.10 (Business Edition)
Android SDK: /Users/jimmygarrido/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.3   (API level 10)
		4.0.3 (API level 15)
		4.1   (API level 16)
		4.4   (API level 19)
		5.0   (API level 21)
		5.1   (API level 22)
		6.0   (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.1
SDK Build Tools Version: 23.0.1

Java SDK: /usr
java version "1.7.0_79"
Java(TM) SE Runtime Environment (build 1.7.0_79-b15)
Java HotSpot(TM) 64-Bit Server VM (build 24.79-b02, mixed mode)

=== Xamarin Android Player ===

Version: 0.6.5
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 7.2 (9548)
Build 7C68

=== Xamarin.iOS ===

Version: 9.4.1.25 (Business Edition)
Hash: 962a050
Branch: master
Build date: 2016-01-29 16:59:11-0500

=== Xamarin.Mac ===

Version: 2.4.1.6 (Business Edition)

=== Build Information ===

Release ID: 510020056
Git revision: bb74ff467c62ded42b7b7ac7fdd2edc60f8647b0
Build date: 2016-01-26 16:24:41-05
Xamarin addins: 8b797d7ba24d5abab226c2cf9fda77f666263f1b
Build lane: monodevelop-lion-cycle6-c6sr1

=== Operating System ===

Mac OS X 10.11.2
Darwin Jimmys-MacBook-Pro.local 15.2.0 Darwin Kernel Version 15.2.0
    Fri Nov 13 19:56:56 PST 2015
    root:xnu-3248.20.55~2/RELEASE_X86_64 x86_64
Comment 1 Jason Smith [MSFT] 2016-03-11 11:10:22 UTC
Should be fixed in 2.2.0-pre1
Comment 2 Rajneesh Kumar 2016-04-21 14:20:30 UTC
I have checked this issue with the XF 2.2.0.23-pre4 and observed that this issue has been fixed and working as expected.

Now, after the BoxView covers the screen, clicking the button does not happen anything. 

Screencast: http://www.screencast.com/t/VE2fJ8JSa6

This issue has been fixed, hence I am closing this issue.

Thanks..!